local config = {
  auto_restore = true,
  auto_session = true,
  enabled = true,
  pre_save_cmds = { 'cclose', 'lua vim.notify.dismiss()' },
}

return {
  'rmagatti/auto-session',
  lazy = false,
  config = function()
    require('auto-session').setup(config)
  end,
  init = function()
    require('plugins.auto-session.mappings')
  end,
}
