local config = {
  flavour = 'mocha',
  integrations = {
    fidget = true,
    which_key = true,
    lsp_trouble = true,
    telescope = {
      enabled = true,
    },
  },
  color_overrides = {
    mocha = {
      base = '#11111b',
      mantle = '#181825',
      crust = '#11111b',
    },
  },
  custom_highlights = function(_)
    return {
      CursorLine = { bg = '#1e1e2e' },
    }
  end,
}

return {
  { -- color scheme
    'catppuccin/nvim',
    lazy = false,
    config = function()
      require('catppuccin').setup(config)
    end,
  },
}
